@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: "Poppins", sans-serif;
}

:root {
  --nav-blue: #1b2433;
  --deep-nav-blue: #022b3a;
  --heading-one: #073b4c;
  --white: #fff;
}

html {
  font-size: 62.5%;
}

body {
  position: relative;
}

a {
  text-decoration: none;
}

h1 {
  font-size: clamp(3.5rem, 5vw, 5rem);
  color: var(--heading-one);
}

h2 {
  font-size: clamp(3.5rem, 5vw, 5rem);
  color: var(--heading-one);
  width: max-content;
}

h2::after {
  display: block;
  content: " ";
  background: url("../image/Heading After.svg");
  background-repeat: no-repeat;
  background-size: contain;
  padding: 2rem;
}

button {
  border: none;
  outline: none;
  background: transparent;
  padding: 2rem 8rem;
  color: var(--white);
  border-radius: 5px;
  cursor: pointer;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
}

.flex {
  display: flex;
  justify-content: center;
  align-items: center;
}

.col-left,
.col-right {
  width: clamp(300px, 50vw, 600px);
}

#bg {
  display: none;
  position: absolute;
  inset: 0;
  background: #2c7da0;
  opacity: 0.3;
  transition: 5s ease-in-out;
}

nav {
  min-height: 20vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: clamp(1rem, 1.5vw, 2.8rem);
}

.nav-menu ul {
  display: flex;
}

.nav-link {
  margin-left: clamp(4rem, 5.4vw, 4.5rem);
}

.nav-menu ul li {
  list-style: none;
}

.nav-menu ul li a {
  color: var(--nav-blue);
}

.hamburger {
  display: none;
}

.hamburger svg {
  color: var(--nav-blue);
}

/*-------------------Movile Nav-------------------- */

.navigation {
  display: flex;
  align-items: center;
  flex-direction: column;
  position: fixed;
  height: 100vh;
  width: 300px;
  top: 0;
  left: -300px;
  background: linear-gradient(165.1deg, #2c7da0 0%, #013a63 100%);
  gap: 3rem;
  z-index: 999;
  transition: 0.5s ease-in-out;
}

.navigation-mob {
  margin-top: 5rem;
  display: flex;
  align-items: center;
}

.navigation-mob .cross {
  margin-left: 1rem;
}

.navigation-mob-menu ul {
  flex-direction: column;
}

.navigation-mob-menu ul li {
  list-style: none;
  padding: 1.5rem;
}

.navigation-mob-menu ul li a {
  text-decoration: none;
  color: var(--white);
  font-size: clamp(1.6rem, 5vw, 1.6rem);
  font-weight: 300;
}

/*-------------------Hero-------------------- */

.hero {
  position: relative;
  min-height: 80vh;
  flex-wrap: nowrap;
}

.hero .col-left p {
  font-size: clamp(1.6rem, 5vw, 2.5rem);
  margin-top: 3rem;
  margin-bottom: 6rem;
  color: var(--heading-one);
  opacity: 0.7;
}

.col-right img {
  width: 100%;
}

.cta button {
  background-color: var(--deep-nav-blue);
  font-size: clamp(1.6rem, 5vw, 1.8rem);
  border: var(--deep-nav-blue) solid 5px;
}

.cta button:last-child {
  margin-left: 2rem;
  color: var(--deep-nav-blue);
  background-color: white;
}

#HeroHead {
  animation: RotateVase 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: center;
}

#HeroRightHand {
  animation: RotateRightHand 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: center;
}

@keyframes RotateRightHand {
  0% {
    transform: rotate(-2deg);
  }
  50% {
    transform: rotate(2deg);
  }
  100% {
    transform: rotate(-2deg);
  }
}
/*------------------- Result -------------------- */
.results {
  min-height: 100vh;
  flex-direction: column;
  gap: 5rem;
}

.results .col-right {
  width: 100%;
  flex-wrap: wrap;
  gap: 5rem;
}

.results .col-right div {
  width: 400px;
  height: 300px;
}

.results div img {
  height: 100%;
  width: 100%;
}
/*-------------------About Us-------------------- */
.about {
  min-height: 90vh;
  flex-wrap: nowrap;
  gap: 20rem;
}

.about .col-left img {
  width: 100%;
}

.about .col-right p {
  font-size: clamp(1.6rem, 5vw, 2rem);
  margin-bottom: 5rem;
  color: var(--heading-one);
  opacity: 0.7;
}

#HangingVase {
  animation: RotateVase 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: top;
}

@keyframes RotateVase {
  0% {
    transform: rotate(5deg);
  }
  50% {
    transform: rotate(-5deg);
  }
  100% {
    transform: rotate(5deg);
  }
}

#GirlLeftHand {
  animation: GirlLeftHand 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: top;
}

@keyframes GirlLeftHand {
  0% {
    transform: rotate(3deg);
  }
  50% {
    transform: rotate(-3deg);
  }
  100% {
    transform: rotate(3deg);
  }
}

#GirlRightHand {
  animation: GirlRightHand 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: top;
}

@keyframes GirlRightHand {
  0% {
    transform: rotate(2deg);
  }
  50% {
    transform: rotate(-2deg);
  }
  100% {
    transform: rotate(2deg);
  }
}

#BoyLeftHand {
  animation: BoyLeftHand 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: top;
}

@keyframes BoyLeftHand {
  0% {
    transform: translateX(-2px);
  }
  50% {
    transform: translateX(2px);
  }
  100% {
    transform: translateX(-2px);
  }
}

#BoyRightHand {
  animation: BoyRightHand 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: top;
}

@keyframes BoyRightHand {
  0% {
    transform: translateX(0px);
  }
  50% {
    transform: translateX(2px);
  }
  100% {
    transform: translateX(0px);
  }
}

#ChildEyes {
  animation: ChildEyes 5s ease-in-out infinite;
}

@keyframes ChildEyes {
  0% {
    transform: translateX(3px);
  }
  50% {
    transform: translateX(-1px);
  }
  100% {
    transform: translateX(3px);
  }
}

/*-------------------Facility-------------------- */

.facility {
  min-height: 90vh;
  flex-wrap: nowrap;
}

.facility .col-right svg {
  width: 100%;
}

.facility h2 {
  margin-bottom: 10rem;
}

.facility ul {
  margin-left: 3rem;
}

.facility li {
  color: var(--heading-one);
  list-style: none;
  font-size: clamp(1.6rem, 5vw, 2.5rem);
  margin: 4rem 0;
  text-transform: uppercase;
  font-weight: 500;
}

.facility li::before {
  display: inline-block;
  content: " ";
  background: url("../image/Right Arrow.svg");
  background-repeat: no-repeat;
  background-size: contain;
  padding: 1rem 2rem;
  margin-right: 2rem;
}

#LeafLeft {
  animation: LeafLeft 3s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: bottom;
}

#LeafRight {
  animation: LeafLeft 3s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: bottom;
}

#LeafCenter {
  animation: LeafLeft 3s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: bottom;
}

@keyframes LeafLeft {
  0% {
    transform: rotate(7deg);
  }
  50% {
    transform: rotate(-7deg);
  }
  100% {
    transform: rotate(7deg);
  }
}

@keyframes LeafRight {
  0% {
    transform: rotate(7deg);
  }
  50% {
    transform: rotate(-7deg);
  }
  100% {
    transform: rotate(7deg);
  }
}

@keyframes LeafCenter {
  0% {
    transform: rotate(7deg);
  }
  50% {
    transform: rotate(-7deg);
  }
  100% {
    transform: rotate(7deg);
  }
}

#Eyes {
  animation: Eyes 5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: bottom;
}

@keyframes Eyes {
  0% {
    transform: translateX(4px);
  }
  50% {
    transform: translateX(1px);
  }
  100% {
    transform: translateX(4px);
  }
}

#Flame {
  animation: Flame 3s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: bottom;
}

@keyframes Flame {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

#ReactPattern1 {
  animation: Rotate 15s linear infinite;
  transform-box: fill-box;
  transform-origin: center;
}

#ReactPattern2 {
  animation: Rotate 25s linear infinite;
  transform-box: fill-box;
  transform-origin: center;
}

@keyframes Rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/*-------------------Faculty-------------------- */

.faculty {
  min-height: 80vh;
  flex-direction: column;
}

.faculty h2 {
  margin: auto;
}

.faculty .col-left,
.faculty .col-right {
  width: 100%;
}

.faculty .col-right {
  flex-wrap: wrap;
  padding: 5rem 0;
  gap: 5rem;
  justify-content: space-around;
}

.faculty .card {
  color: var(--white);
  flex-direction: column;
  padding: 1rem;
  min-height: 400px;
  width: clamp(300px, 50vw, 350px);
  background: linear-gradient(135deg, #2c7da0, #013a63);
  border-radius: 2rem;
  box-shadow: inset 25px -25px 50px rgba(1, 58, 99, 0.5);
  filter: drop-shadow(50px 25px 100px rgba(1, 58, 99, 0.2));
}

.card h3 {
  font-size: clamp(2rem, 5vw, 2.4rem);
  font-weight: 500;
  margin: 1.5rem 0;
  width: max-content;
}

.card p {
  text-align: center;
  font-size: clamp(1.6rem, 5vw, 1.6rem);
  font-weight: 300;
  margin-bottom: 1rem;
}

.faculty .card img {
  height: 50%;
  width: 50%;
  border-radius: 50%;
}

/*-------------------Wave-------------------- */

.waves {
  min-height: 20vh;
  overflow: hidden;
}

.waves svg {
  height: 100%;
  width: clamp(180%, 100vw, 500%);
  transform: translateY(1rem);
}

#Wave1 {
  animation: waveAnim 15s ease-in-out infinite;
}

#Wave2 {
  animation: waveAnim 20s ease-in-out infinite;
}

#Wave3 {
  animation: waveAnim 25s ease-in-out infinite;
}

@keyframes waveAnim {
  0% {
    transform: translateX(0rem);
  }
  25% {
    transform: translateX(-10rem);
  }
  50% {
    transform: translateX(0rem);
  }
  75% {
    transform: translateX(-10rem);
  }
  100% {
    transform: translateX(0rem);
  }
}

/*-------------------Footer-------------------- */

.footer {
  min-height: 40vh;
  color: var(--white);
  background-color: var(--deep-nav-blue);
}

.footer::before {
  display: block;
  content: " ";
  background: url("../image/Waves.svg");
  background-repeat: no-repeat;
  background-size: contain;
  padding: 2rem 0;
}

.footer .container {
  flex-wrap: nowrap;
  justify-content: space-between;
  padding: 5rem 0;
  gap: 5rem;
}

.copyright {
  margin-top: 5rem;
}

.visit {
  align-self: flex-start;
}

.footer .social {
  margin-top: 3rem;
}

.footer .social a {
  margin-right: 3rem;
}

.footer .container h3 {
  font-size: clamp(1.6rem, 5vw, 2.4rem);
  margin: 2rem 0;
  font-weight: 500;
}

.footer .container p {
  font-size: clamp(1.6rem, 2.5vw, 1.8rem);
  font-weight: 300;
}
